/**********************************************************************************************/
/* VDK_Date.h																				  */
/*                                                                       					  */
/* Valentina SDK    																		  */
/*                                                                       					  */
/* Copyright Paradigma, 1993-2002															  */
/* All Rights Reserved                                                   					  */
/**********************************************************************************************/

#ifndef __VDK_Date_h 
	#define __VDK_Date_h
	
#if VSDK_FRAMEWORK_STYLE
#	include <VSDK/VDK_Field.h>
#	include <VSDK/FBL_DateTimeEncode.h>
#else
#	include <VDK_Field.h>
#	include <FBL_DateTimeEncode.h>
#endif // VSDK_FRAMEWORK_STYLE


#if defined(__MWERKS__)
	#pragma options align=power
#endif


/**********************************************************************************************/
class FBL_EXP VDK_Date : public virtual VDK_Field
{
	public://///////////////////////////////////////////////////////////////////////////////////
		
FBL_EXP							VDK_Date( const char* inName, ushort inFlags = 0 );
virtual							~VDK_Date( void ) {}
		
		/* unified interface: */
	
FBL_EXP	virtual	void			Set( long inYear, ushort inMonth, ushort inDay );
FBL_EXP	virtual	void			Get( long& outYear, ushort& outMonth, ushort& outDay ) const;				

		/* Search methods */
		
		FBL_BitSet*				Find( const long* inLeftValue , bool inLeftInclude, 
									  const long* inRightValue, bool inRightInclude ) 
								{
									return VDK_Field::Find( inLeftValue,  inLeftInclude,
															inRightValue, inRightInclude );
								}
		
		FBL_BitSet* 			Find( const long* inKey = NULL ) {
									return VDK_Field::Find( inKey );
								}

}; 


/**********************************************************************************************/
#if defined(__MWERKS__)
	#pragma options align=reset
#endif

#endif  


