/**********************************************************************************************/
/* VDK_DateTime.h																			  */
/*                                                                       					  */
/* Valentina SDK    																		  */
/*                                                                       					  */
/* Copyright Paradigma, 1993-2002															  */
/* All Rights Reserved                                                   					  */
/**********************************************************************************************/

#ifndef __VDK_DateTime_h 
	#define __VDK_DateTime_h
	
#if VSDK_FRAMEWORK_STYLE
#	include <VSDK/VDK_Field.h>
#	include <VSDK/FBL_DateTimeEncode.h>
#else
#	include <VDK_Field.h>
#	include <FBL_DateTimeEncode.h>
#endif // VSDK_FRAMEWORK_STYLE

#if defined(__MWERKS__)
	#pragma options align=power
#endif


/**********************************************************************************************/
class FBL_EXP VDK_DateTime : public virtual VDK_Field
{
	public://///////////////////////////////////////////////////////////////////////////////////
		
FBL_EXP							VDK_DateTime( const char* inName, ushort inFlags = 0 );

virtual							~VDK_DateTime( void ) {}
		
		/* unified interface: */
	
FBL_EXP	virtual void			SetDate( long inYear, ushort inMonth, ushort inDay );
FBL_EXP	virtual void			GetDate( long& outYear, ushort& outMonth, ushort& outDay ) const;				

FBL_EXP	virtual void			SetTime( ushort inHour, ushort inMinute, ushort inSecond );
FBL_EXP	virtual void			GetTime( ushort& outHour, ushort& outMinute, ushort& outSecond ) const;				

		/* Search methods */
		
		FBL_BitSet*				Find( const llong* inLeftValue , bool inLeftInclude, 
									  const llong* inRightValue, bool inRightInclude ) 
								{
									return VDK_Field::Find( inLeftValue,  inLeftInclude,
															inRightValue, inRightInclude );
								}
		
		FBL_BitSet* 			Find( const llong* inKey = NULL ) {
									return VDK_Field::Find( inKey );
								}

}; 


/**********************************************************************************************/
#if defined(__MWERKS__)
	#pragma options align=reset
#endif

#endif  // __VDK_DateTime_h


